Package org.opensaml.core.xml

# Interface SpaceBearing

public interface SpaceBearing
Interface for element having a `@xml:space` attribute.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`SpaceBearing.XMLSpaceEnum`
Enum representing the allowed values of the xml:space attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`XML_SPACE_ATTR_LOCAL_NAME`
The `space` attribute local name.
`static final QName`
`XML_SPACE_ATTR_NAME`
The `xml:space` qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`SpaceBearing.XMLSpaceEnum`
`getXMLSpace()`
Returns the `@xml:space` attribute value.
`void`
`setXMLSpace(SpaceBearing.XMLSpaceEnum newSpace)`
Sets the `@xml:space` attribute value.

## Field Details

### XML_SPACE_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String XML_SPACE_ATTR_LOCAL_NAME
The `space` attribute local name.

See Also:
  - Constant Field Values

### XML_SPACE_ATTR_NAME

@Nonnull static final QName XML_SPACE_ATTR_NAME
The `xml:space` qualified attribute name.

## Method Details

### getXMLSpace

@Nullable SpaceBearing.XMLSpaceEnum getXMLSpace()
Returns the `@xml:space` attribute value.

Returns:
  The `@xml:space` attribute value or `null`.

### setXMLSpace

void setXMLSpace(@Nullable SpaceBearing.XMLSpaceEnum newSpace)
Sets the `@xml:space` attribute value.

Parameters:
  `newSpace` - The `@xml:space` attribute value